.slider {
    /* Variablen werden auf elementebene später per js (/layout/slide.js) für jeden slider geändert */
    --position: 0;
    --maxSlider: 4;
    --swipeAddition: 0px;
    position: relative;
}

.slider .slides {
    display: flex;
    overflow: hidden;
    border-radius: 7px;
}

.slider .slides>* {
    min-width: 100%;
    max-width: 100%;
    transform: translate(calc(calc(calc(-1 * var(--position)) * 100%) + var(--swipeAddition)));
    transition-duration: var(--transitionDuration);
    position: relative;
    display: flex;
    border-radius: 8px;
}

.slider .slides>* .background {width: 100%;}
.slider .slides>* picture {width: 100%;}
.slider .slides>* picture img {width: 100%;object-fit: cover;}
.slider .slides>* .forground {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    backdrop-filter: blur(5px) brightness(0.5);
    -webkit-backdrop-filter: blur(5px) brightness(0.5);
    gap: 1.222em;
    align-items: center;
    color: var(--white);
    border-radius: 8px;
}

.slider .slides>* .forground.SEO {
    right: 0;
    height: 100%;
    backdrop-filter: blur(5px) brightness(0.5);
    -webkit-backdrop-filter: blur(5px) brightness(0.5);
    width: 21em;
    padding: 1em 2em;
    left: auto;
    top: auto;
    transform: initial;
    border-radius: 0px 7px 7px 0px;
}

.slider .controlelementsWrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1em;
}

.slider .controlelementsWrapper svg {--svgColor: var(--primaryColor);}
.slider .bar {
    width: 90%;
    height: 2px;
    background-color: var(--sliderBarBackground);
    position: relative;
}

.slider .bar::after {
    content: "";
    position: absolute;
    width: calc(100% / var(--maxSlider));
    left: calc(calc(calc(100% / var(--maxSlider)) * var(--position)) + calc(-1 * calc(var(--swipeAddition) / var(--maxSlider))));
    height: 4px;
    background-color: var(--primaryColor);
    top: 50%;
    transform: translateY(-50%);
    transition-duration: var(--transitionDuration);
}

.slider .bar:hover::after {filter: brightness(0.8);}
.slider .beforebtn,
.slider .nextbtn {
    cursor: pointer;
    display: flex;
    transition-duration: 200ms;
}

.slider .beforebtn.inactive, .slider .nextbtn.inactive {filter: grayscale() brightness(1.6);}
.onePicSlider {height: 300px;}
.onePicSliderBig {height: 350px;}

/* barClickHitbox wird später von js (/layout/slide.js) in das div mit der class .bar gelegt */
.slider .barClickHitbox {
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 2em;
    width: 100%;
    cursor: pointer;
    z-index: 11;
}

.tablet, .mobile {display: none;}
.landscape {display: block;}

.middleText {
    padding: 0em 1.5em;
    width: 420px;
    /* sonst funktionieren die Slider auf den SEO Seiten nicht ordentlich Xaver*/
    max-width: 100%;
}

@media (max-width: 1300px) {}
@media (max-width: 1000px) {
    .slider .forground {font-size: 12px;}
    .slider .slides>* .forground.SEO {width: 28em;}
}

@media (max-width: 700px) {
    .slider .landscape, .slider .mobile {display: none;}
    .middleText {width: 100%;}
    .slider .forground.SEO {
        font-size: 1em;
        max-height: 55% !important;
        backdrop-filter: blur(5px) brightness(0.5) !important;
        -webkit-backdrop-filter: blur(5px) brightness(0.5) !important;
        gap: 1.222em !important;
        width: 100% !important;
        align-items: center !important;
        color: var(--white) !important;
        bottom: 0 !important;
        padding: 1em 2em 1em 2em !important;
        border-radius: 0px 0px 7px 7px !important;
    }
    .slider .tablet {display: block;}
    .onePicSlider {height: 550px;}
    .onePicSliderBig {height: 550px !important;}
}
@media (max-width: 500px) {
    .slider .forground {width: 0%;}
    .slider .landscape, .slider .tablet {display: none;}
    .slider .mobile {display: block !important;}
}